Rails.application.routes.draw do
  default_url_options host: "summonplayer.com"

  root "tables#index"

  get "login" => "sessions#new", as: :login
  delete "logout" => "sessions#destroy", as: :logout

  resources :users, only: [ :new, :create ]
  resources :account_verifications, only: [ :show ]
  resources :sessions, only: [ :new, :create, :destroy ]

  resources :tables, only: [ :index ]

  get "up" => "rails/health#show", as: :rails_health_check
end
